.catalog__item {
    background: #FFFF;
    border: 1px solid #e4e5ec;
    border-radius: 8px; 
    cursor: pointer;
    position: relative;
    margin: 10px;

    overflow: hidden;
}

.product__item--loading {
    overflow-y: scroll;
    height: calc(98vh - 122px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.catalog__item:hover, .catalog__item--highlighted {
    box-shadow: 0 0 0 2px #61D4DF;
} 

.product__item--image {
    padding: 15px 10px;
    margin-bottom: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    border-radius: 50px;
}

.product__img {
    max-width: 100%;
    height: 270px;
    /* object-fit: contain; */
    object-fit: cover;
    flex-shrink: 0;
    padding: 10px;
}

.product__heading {
    padding: 0px 16px 0px 16px;
    font-size: 17px;
    text-transform: uppercase;
    margin: 0;

    min-height: 2rem;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    line-height: 1.3rem;
    max-height: 2.6rem;
    -webkit-line-clamp: 2;
}

.product__item--price {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

.catalog__item--container {
    background: #FFFF;
    border-radius: 8px;
}

.price__item {
    padding: 0px 10px 6px 6px;
    text-align: left;
}

.price {
    font-size: 19px;
    color: #616161;
    font-weight: 500;
    font-family: Gilroy-medium;
    white-space: nowrap;
}

.rrp {
    font-size: 16px;
    color: #707070;
}

.price__profit {
    color: #61D4DF;
}

.product__supplier {
    padding: 10px 16px;
    font-size: 15px;
}

.product__item--supplier {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.supplier__name {
    color: #61D4DF;
    text-decoration: underline;
    font-weight: 600;
}

.divider {
    border-right: 1px solid rgba(128, 128, 128, 0.4);
    height: 35px;
}

.product__item--quantity {
    font-size: 16px;
    padding-right: 15px;
    font-family: Gilroy-medium;
}

.product__item--quantity-bold {
    font-weight: 600;
}
